import { RawMetaDescription, FormMetaDescription, FieldMetaDescription } from '@react-ui-generator/core';
import { FieldPart } from '../';
export interface IdsToProcess {
    [key: string]: boolean;
}
export declare type FieldBooleanProps = 'hidden' | 'disabled';
declare class Metaphor {
    private meta;
    constructor(baseMeta: RawMetaDescription);
    togglePropByFieldIds(propName: FieldBooleanProps, value: boolean, reverseIfNotMatch?: boolean, ids?: string[] | string): Metaphor;
    value(): FormMetaDescription;
    get(path: string): any;
    set(path: string, value: any): this;
    show(fieldsToShow?: string[] | string, hideNotMatched?: boolean): Metaphor;
    showAll(): Metaphor;
    hide(fieldsToHide?: string[] | string, showNotMatched?: boolean): Metaphor;
    hideAll(): Metaphor;
    enable(fieldsToEnable?: string[] | string, disableNotMatched?: boolean): Metaphor;
    enableAll(): Metaphor;
    disable(fieldsToDisable?: string[] | string, enableNotMatched?: boolean): Metaphor;
    disableAll(): Metaphor;
    /**
     * Clones an existing field. Allows to append a cloned field
     * just after the original, or to the end of form.
     */
    clone(idSrc: string, idTarget: string, appendToSrc?: boolean): Metaphor;
    /**
     * Creates a new field. Allows to append it under one of existing fields
     * or to the end of form.
     */
    add(fieldId: string, type: string, underId?: string): Metaphor;
    remove(fieldId: string): Metaphor;
    readonly config: FieldPart;
    readonly actions: FieldPart;
}
export declare function notFoundMessage(id: string): string;
export declare function inUseMessage(id: string): string;
export declare function invariantFieldUnique(fieldId: string, fields: FieldMetaDescription[]): void;
export declare function getFieldIdx(fieldId: string, fields: FieldMetaDescription[]): number;
export default Metaphor;
